package com.ruoyi.wx.web.domain.dto;

/**
 * 微信支付请求对象
 */
public class WxPayDto {
    /**
     * 积分数
     */
    private Long points;

    /**
     * 会员折扣
     */
    private String discount;

    /**
     * 会员立减
     */
    private String money;

    /**
     * 当前用户
     */
    private String openId;

    /**
     * 总金额
     */
    private String tBal;

    public Long getPoints() {
        return points;
    }

    public void setPoints(Long points) {
        this.points = points;
    }

    public String getDiscount() {
        return discount;
    }

    public void setDiscount(String discount) {
        this.discount = discount;
    }

    public String getMoney() {
        return money;
    }

    public void setMoney(String money) {
        this.money = money;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String gettBal() {
        return tBal;
    }

    public void settBal(String tBal) {
        this.tBal = tBal;
    }

    @Override
    public String toString() {
        return "WxPayDto{" +
                "points=" + points +
                ", discount='" + discount + '\'' +
                ", money='" + money + '\'' +
                ", openId='" + openId + '\'' +
                ", tBal='" + tBal + '\'' +
                '}';
    }
}
